@echo off
setlocal
@rem $Id: changePassword_test.bat,v 1.5 2016/11/09 18:28:13 seanm Exp $ #

if [%1] == [] goto setpath

echo Error: No command line parameters allowed
goto error

:setpath

call setpath.bat

@rem ------------------------------------
@rem Check to see if config was encrypted
@rem ------------------------------------
"%JRE_DIR%\bin\java" "%BCP%" -classpath "%CP%" com.hubspan.pcftc.CheckConfigSecure ../config/PCFTC_test.ini

if errorlevel 1 goto :encrypted

echo The config file is not encrypted, encryption password cannot be changed.
goto error

:encrypted

@rem -----------------------
@rem Prompt for Old Password
@rem -----------------------
set PCPASSOLD =
..\system\editv32 -m -l 15 -p "Enter Current Password: " PCPASSOLD

if ["%PCPASSOLD%"] == [] goto emptypw

@rem -----------------------
@rem Prompt for New Password
@rem -----------------------
set PCPASSNEW =
..\system\editv32 -m -l 15 -p "Enter New Password: " PCPASSNEW

if ["%PCPASSNEW%"] == [] goto emptypw

@rem --------------------------
@rem Prompt for Verify Password
@rem --------------------------
set PCPASSVER =
..\system\editv32 -m -l 15 -p "Verify New Password: " PCPASSVER

if ["%PCPASSVER%"] == [] goto emptypw

@rem -----------------------------------------------
@rem Verify that New/Verify passwords are equivalent
@rem -----------------------------------------------

if not "%PCPASSNEW%" == "%PCPASSVER%" goto nomatch
goto match

:nomatch

echo Error: Password does not match verification, exiting.
goto end

:match


"%JRE_DIR%\bin\java" -classpath "%CP%" "%LOG4J%" %APP_JAVA_OPTS% "%DERBY_SYSTEM_HOME%" com.hubspan.pcftc.ChangePassword ../config/PCFTC_test.ini "%PCPASSOLD%" "%PCPASSNEW%"

if errorlevel 1 goto error
goto end

:emptypw
echo Empty password value entered, exiting.
goto end

:error
pause

:end
endlocal
