/*
 * $RCSfile: partnerconnectinstaller.nsi,v $
 *
 * Copyright (c) 2004-2007 Hubspan, Inc.
 * 505 5th Ave S., Seattle, WA, 98105, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Hubspan, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Hubspan.
 *
 * Last Checkin User: $Author: HUBSPAN\PatrickY $
 * Last Checkin Date: $Date: 2007/07/26 19:04:39 $
 * Current Revision:  $Revision: 1.2 $
 */

/** 
 *   This scripts creates the PartnerConnect installer
 **/

;-----------------------------------------------------
;  Variable Declarations
;-----------------------------------------------------

Name "PartnerConnect Installer"
Caption "PartnerConnect Installer"
Icon "${NSISDIR}\Contrib\Graphics\Icons\nsis1-install.ico"
OutFile "..\work\JavaBuild\Release\install.exe"

SetDateSave on
SetDatablockOptimize on
CRCCheck on
SilentInstall normal
BGGradient 000000 800000 FFFFFF
InstallColors FF8080 000030
XPStyle on

InstallDir "C:\PartnerConnect"

CheckBitmap "${NSISDIR}\Contrib\Graphics\Checks\classic-cross.bmp"

LicenseText "Lisence Agreement"
LicenseData "..\Install\Hubspan_License.txt"


;-----------------------------------------------------
;  Pages/Processes
;-----------------------------------------------------

Page license
;Page components
Page directory

Page custom StartMenuGroupSelect "" ": Start Menu Folder"
Function StartMenuGroupSelect
    Push $R1

    StartMenu::Select /checknoshortcuts "Don't create a start menu folder" /autoadd /lastused $R0 "Hubspan"
    Pop $R1

    StrCmp $R1 "success" success
    StrCmp $R1 "cancel" done
        ; error
        MessageBox MB_OK $R1
        StrCpy $R0 "Hubspan" # use default
        Return
    success:
    Pop $R0

    done:
    Pop $R1
FunctionEnd

Page instfiles
Section

    # Get all of the files here
    SetOutPath $INSTDIR
    File /r /x CVS ..\Install\*
    
    SetOutPath $INSTDIR\lib
    File ..\work\JavaBuild\Dist\HubspanAssociateConnect.jar
    
    CreateDirectory $INSTDIR\jre
    SetOutPath $INSTDIR\jre
    File /r ..\work\JavaBuild\Dist\unzippedJRE\*
    
    WriteUninstaller $INSTDIR\uninstall-partnerconnect.exe

SectionEnd
Section
    # this part is only necessary if you used /checknoshortcuts
    StrCpy $R1 $R0 1
    StrCmp $R1 ">" skip

        CreateDirectory $SMPROGRAMS\$R0
        CreateShortCut $SMPROGRAMS\$R0\PartnerConnect.lnk $INSTDIR\bin\PartnerConnect.exe
        CreateShortCut "$SMPROGRAMS\$R0\Partner Connect GUI QuickStart.lnk" "$INSTDIR\docs\PartnerConnectGUIQuickStartGuide.doc"
        CreateShortCut "$SMPROGRAMS\$R0\Partner Connect User Guide.lnk" "$INSTDIR\docs\PartnerConnectInstallationGuide.doc"
        CreateShortCut "$SMPROGRAMS\$R0\Uninstall PartnerConnect.lnk" "$INSTDIR\uninstall-partnerconnect.exe"

    skip:
SectionEnd

UninstPage uninstConfirm
UninstPage instfiles

; Uninstaller

UninstallText "This will uninstall the Hubspan PartnerConnect client. Hit next to continue."
UninstallIcon "${NSISDIR}\Contrib\Graphics\Icons\nsis1-uninstall.ico"

Section "Uninstall"

  RMDir /r "$SMPROGRAMS\Hubspan"
  RMDir /r "$INSTDIR"

  IfFileExists "$INSTDIR" 0 NoErrorMsg
    MessageBox MB_OK "Note: $INSTDIR could not be removed!" IDOK 0 ; skipped if file doesn't exist
  NoErrorMsg:

SectionEnd
